<?xml version="1.0" encoding="UTF-16"?><MultiText>

<Target path="Target"/>
<!-- 処理対象のフォルダーのパスを指定します。 -->
<!-- 複数指定するときは、Target タグを複数記述してください。 -->
<!-- 対象外を指定するときは、Target タグの子として Except タグを追加して path 属性に指定してください。 -->
<!-- 参考：FF-path 属性 -->
<!-- 省略した時は、別途指定することが要求されます。 -->
<!-- 参考：FF-path 属性 -->


<EnabledTemplateIDs type="Lines">
#Template1
#Template2
</EnabledTemplateIDs>
<!-- 現在使われている（変換後の）テンプレートのアドレスを指定します。 -->
<!-- キーワードに一致する場所に、現在使われているテンプレートがマッチしない場所を、 -->
<!-- 一覧するときに指定します。 -->
<!-- 複数指定するときは、複数行記述してください。 -->
<!-- 上記 ID に +"_Keyword" した id の Text タグを作って、キーワードを指定してください -->
<!-- 例： #Template1 を指定したら、#Template1_Keyword の Text タグを作ってください -->
<!-- 参考：EchoOld (ReplaceTemplateClass) -->


<CheckTargetDefault>Target\a.txt</CheckTargetDefault>


<ReplaceTemplateID_From>#Template1_Old</ReplaceTemplateID_From>
<ReplaceTemplateID_To>#Template1</ReplaceTemplateID_To>
<!-- 上記は、テンプレートを使って置き換えるときに指定します。 -->


<Text id="Template1_Keyword"><![CDATA[
\* Function:
]]></Text><Text id="Template1"><![CDATA[
/***********************************************************************
* Function: ${FunctionName}
*    ${FunctionDescription}
*
* Arguments:
*    ${Arguments}
*
* Returns:
*    ${Returns}
************************************************************************/
]]></Text>


<Text id="Template1_Old_Keyword"><![CDATA[
\* Function:
]]></Text><Text id="Template1_Old"><![CDATA[
----------------------------------------------------------------------------
/*
 * Function: ${FunctionName}
 *
 *     ${FunctionDescription}
 *
 * Arguments:
 *
 *     ${Arguments}
 *
 * Returns:
 *
 *     ${Returns}
 */
----------------------------------------------------------------------------
]]></Text>
<Comment>Text タグの先頭行と最終行には、マルチ・パート・テキストXML の
---- 「ハイフン４つ以上だけの行」が記述できます。</Comment>


<Text id="Template2_Keyword"><![CDATA[
\* Type:
]]></Text><Text id="Template2"><![CDATA[
/***********************************************************************
* Type: ${TypeName}
*    ${Description}
*
* Member Variables:
*    ${Members}
************************************************************************/
]]></Text>


</MultiText>
